﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace SilverlightApplication104
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();     
            testGrid.ItemsSource = TestItem.Generate(100);
        }
    }

    public class TestItem
    {
        public int Prop1 { get; set; }
        public int Prop2 { get; set; }
        public int Prop3 { get; set; }
        private static Random rnd = new Random();

        public TestItem()
        {
            Prop1 = rnd.Next(100);
            Prop2 = rnd.Next(100);
            Prop3 = rnd.Next(100);
        }

        public static ObservableCollection<TestItem> Generate(int count)
        {
            ObservableCollection<TestItem> res = new ObservableCollection<TestItem>();
            for (int i = 0; i < count; i++)
			{
                res.Add(new TestItem());
			}
            return res;
        }
    }

    public class MyStyleSelector : StyleSelector
    {
        public Style FirstConditionStyle { get; set; }
        public Style SecondConditionStyle { get; set; }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            switch((int)(container as GridViewCell).Value % 3)
            {
                case 0:
                    return FirstConditionStyle;
                case 1:
                    return SecondConditionStyle;
                default:
                    return null;
            }        
        }
    }
}
